Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Interface BaseColumn

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Subinterfaces:
  Column, ColumnGroup

All Known Implementing Classes:
  StandardBaseColumn, StandardColumn, StandardColumnGroup

    public interface BaseColumn

extends JRCloneable

Version:
  $Id: BaseColumn.java 3602 2010-03-19 14:53:30Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`Cell` | `getColumnFooter()`
`Cell` | `getColumnHeader()`
`Cell` | `getGroupFooter(java.lang.String groupName)`
`java.util.List<GroupCell>` | `getGroupFooters()`
`Cell` | `getGroupHeader(java.lang.String groupName)`
`java.util.List<GroupCell>` | `getGroupHeaders()`
`JRExpression` | `getPrintWhenExpression()`
`Cell` | `getTableFooter()`
`Cell` | `getTableHeader()`
`java.lang.Integer` | `getWidth()`
`
`<R> R`
` | `visitColumn(ColumnVisitor<R> visitor)`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getPrintWhenExpression

    JRExpression getPrintWhenExpression()

### getTableHeader

    Cell getTableHeader()

### getTableFooter

    Cell getTableFooter()

### getGroupHeaders

    java.util.List<GroupCell> getGroupHeaders()

### getGroupHeader

    Cell getGroupHeader(java.lang.String groupName)

### getGroupFooters

    java.util.List<GroupCell> getGroupFooters()

### getGroupFooter

    Cell getGroupFooter(java.lang.String groupName)

### getColumnHeader

    Cell getColumnHeader()

### getColumnFooter

    Cell getColumnFooter()

### getWidth

    java.lang.Integer getWidth()

### visitColumn

    <R> R visitColumn(ColumnVisitor<R> visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com